## deepin-image-viewer 5.7.4

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer VERSION 1.0.0)

##"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
#option (LITE_DIV "Use tutorial provided math implementation" ON)
##使用UnionImage
#option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DLITE_DIV )
add_definitions( -DUSE_UNIONIMAGE )
add_definitions( -DCMAKE_BUILD )
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

set(TARGET_NAME deepin-image-viewer)
set(CMD_NAME deepin-image-viewer)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

file(GLOB_RECURSE  SOURCES  "src/*.cpp")
file(GLOB_RECURSE SOURCESC "src/*.c")
file(GLOB_RECURSE HEADERS "src/*.h")
file(GLOB_RECURSE FORMS "src/*.ui")
file(GLOB_RECURSE RESOURCES "*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

set(PROJECT_INCLUDE
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/utils
    ${PROJECT_SOURCE_DIR}/src/controller
    ${PROJECT_SOURCE_DIR}/src/dirwatcher
    ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/accessibility
    ${PROJECT_SOURCE_DIR}/src/third-party/accessibility
    ${PROJECT_SOURCE_DIR}/src/module)

set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools )

#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
    dtkwidget
    dtkcore
    gio-qt
    udisks2-qt5
    libexif
    )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SOURCES} ${TS})
endif ()

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${PROJECT_INCLUDE} ${QM})

target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} pthread freeimage)

#将工程与这些模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#install
set(PREFIX  /usr)
set(BINDIR  ${PREFIX}/bin)
set(APPSHAREDIR  ${PREFIX}/share/deepin-image-viewer)
set(MANDIR  ${PREFIX}/share/dman/deepin-image-viewer)
set(MANICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)
set(APPICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)

install(TARGETS ${TARGET_NAME} DESTINATION ${BINDIR})
#desktop
install(FILES ${PROJECT_SOURCE_DIR}/deepin-image-viewer.desktop
    DESTINATION /usr/share/applications)
#icons
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/images/
    DESTINATION /usr/share/deepin-image-viewer/icons
    FILES_MATCHING PATTERN "*")
#manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-image-viewer
    DESTINATION /usr/share/deepin-manual/manual-assets/application/
    FILES_MATCHING PATTERN "*")
#manual_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/doc/common/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#app_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/images/logo/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#dbus_service
install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.ImageViewer.service
    DESTINATION /usr/share/dbus-1/services)
#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer-test VERSION 0.1)

#"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
option (LITE_DIV "Use tutorial provided math implementation" ON)
add_definitions( -DLITE_DIV )
option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DUSE_UNIONIMAGE )

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

set(TARGET_NAME deepin-image-viewer-test)
set(CMD_NAME deepin-image-viewer-test)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)



if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ")
endif()

# Sources files
#cmakedefine USE_MYMATH
set(AllTestQRC
    ./testqrc/testresource.qrc)
file(GLOB_RECURSE HEADERSCURRENT "src/*.h")
file(GLOB_RECURSE  SOURCESCURRENT  "src/*.cpp")
#file(GLOB_RECURSE  SOURCES  "../src/src/*.cpp")
file (GLOB_RECURSE SOURCES
    ../src/src/controller/*.cpp
    ../src/src/dirwatcher/*.cpp
    ../src/src/frame/*.cpp
    ../src/src/module/*.cpp
    ../src/src/service/*.cpp
    ../src/src/settings/*.cpp
    ../src/src/utils/*.cpp
    ../src/src/widgets/*.cpp
    ../src/src/application.cpp
    *.cpp
    )
file(GLOB_RECURSE SOURCESC "../src/*.c")
file(GLOB_RECURSE HEADERS "../src/*.h")
file(GLOB_RECURSE FORMS "../src/*.ui")
file(GLOB_RECURSE RESOURCES "../src/*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/../src/src/
    ${PROJECT_SOURCE_DIR}/../src/src/utils
    ${PROJECT_SOURCE_DIR}/../src/src/controller
    ${PROJECT_SOURCE_DIR}/../src/src/dirwatcher
    ${PROJECT_SOURCE_DIR}/../src/src/widgets
    ${PROJECT_SOURCE_DIR}/../src/src/accessibility
    ${PROJECT_SOURCE_DIR}/../src/src/third-party/accessibility
    ${PROJECT_SOURCE_DIR}/../src/src/module
    )

find_package(PkgConfig REQUIRED)

find_package(Qt5Core)
find_package(Qt5Test)
find_package(Qt5Gui)
find_package(Qt5Widgets)
find_package(Qt5Sql)
find_package(Qt5DBus)
find_package(Qt5Concurrent)
find_package(Qt5Svg)
find_package(Qt5X11Extras)
find_package(Qt5PrintSupport)
find_package(Qt5OpenGL)
find_package(Qt5LinguistTools)

pkg_check_modules(3rd_lib REQUIRED
    dtkcore
    dtkwidget
    gio-qt
    udisks2-qt5
    gio-unix-2.0
    gsettings-qt
#    freeimage
        )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
#file(GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/deepin-image-viewer_zh_CN.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SRCS} ${TS})
endif ()

add_executable( ${TARGET_NAME} ${SOURCES} ${SOURCESC}
    ${HEADERS} ${AllTestQRC}
    ${RESOURCES} ${PROJECT_INCLUDE}
    ${HEADERSCURRENT} ${SOURCESCURRENT}
    ${QM}
    )

target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})
target_link_libraries(${TARGET_NAME} ${3rd_lib_LIBRARIES} )


target_link_libraries(
    ${PROJECT_NAME}
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::Sql
    Qt5::Svg
    Qt5::DBus
    Qt5::Concurrent
    Qt5::X11Extras
    Qt5::PrintSupport
    Qt5::OpenGL
    Qt5::WidgetsPrivate
    Qt5::Test
    dtkwidget
    dtkcore
    X11
    Xext
    exif
#    gio-unix-2.0
    gio-qt
    udisks2-qt5
    freeimage
    pthread
    gtest
    )


include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})
#configure_file(${PROJECT_SOURCE_DIR}/config.h.in  @ONLY)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)


# 添加gocv覆盖率文件的输出
#set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage -pthread ")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -pthread ")
    set(CMAKE_Ｌ_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(test
    COMMAND mkdir -p coverageResult
    COMMAND mkdir -p tests/test
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME}
    COMMAND lcov --directory . --capture --output-file ./coverageResult/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./coverageResult/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*'
    -o ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./coverageResult/report ./coverageResult/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/coverageResult/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(test ${PROJECT_NAME})

=== qimage-plugins/libraw/CMakeLists.txt ===
project(xraw VERSION 0.1.0)
set(CMAKE_AUTOMOC ON)
set(CMD_NAME xraw)
#set(CMAKE_CXX_STANDARD 11)

ADD_DEFINITIONS(-DTORRENT_LIBRARY)
ADD_DEFINITIONS(-DNO_FREETYPE)
ADD_DEFINITIONS(-DUNICODE -D_UNICODE)
ADD_DEFINITIONS(-DHCPP_LEGACY_API)
add_definitions(-D_LIBXRAW_)
find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)

pkg_check_modules(RAW REQUIRED libraw)
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
endif()

 # 加速编译优化参数
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack")
     SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z noexecstack")
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif ()

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include(GNUInstallDirs)
include_directories(${PROJECT_BINARY_DIR})

list(APPEND SRCS
    main.cpp
    rawiohandler.cpp
    datastream.cpp)

add_library(${CMD_NAME} SHARED ${SRCS})
#target_compile_definitions(${CMD_NAME} PRIVATE BUILDING_${CMD_NAME})

target_include_directories(xraw PUBLIC ${RAW_INCLUDE_DIRS}  ${Qt5Gui_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} )

target_link_libraries(${CMD_NAME} Qt5::Core Qt5::Gui raw)

install(TARGETS ${CMD_NAME} DESTINATION ${Qt5Core_DIR}/../../qt5/plugins/imageformats)


QT5_USE_MODULES(${PROJECT_NAME} Core Gui)

## deepin-image-viewer 1.2.19

=== debian/changelog ===
deepin-image-viewer (1.2.19-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 21 Apr 2018 10:33:30 +0800

deepin-image-viewer (1.2.19-1) unstable; urgency=medium

  * New upstream release.
   + Add image settings option.
  * d/control: Update Standards-Version to 4.1.4.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 12 Apr 2018 17:23:51 +0800

deepin-image-viewer (1.2.18-1) unstable; urgency=medium

  * New upstream release.
  * Bug Fixes.

 -- Yanhao Mo <yanhaocs@gmail.com>  Fri, 30 Mar 2018 21:28:37 +0800

deepin-image-viewer (1.2.16.9-1) unstable; urgency=medium

  * New upstream release.
  * Rebuild to fix FTBFS against new dtkwidget.
    Closes: #892643.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 13 Mar 2018 09:46:26 +0800

deepin-image-viewer (1.2.16.8-1) unstable; urgency=medium

  * New upstream release.
  * d/docs: Distribute docs about deepin-image-viewer.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 04 Jan 2018 20:46:46 +0800

deepin-image-viewer (1.2.16.7-1) unstable; urgency=medium

  * Initial release (Closes: #872633)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 25 Dec 2017 16:15:36 +0800

=== debian/control ===
Source: deepin-image-viewer
Section: graphics
Priority: optional
Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 libdtkwidget-dev,
 libegl1-mesa-dev,
 libexif-dev,
 libfontconfig1-dev,
 libfreeimage-dev,
 libfreetype6-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw-dev,
 libsqlite3-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libxcb-util0-dev,
 libxrender-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Standards-Version: 4.1.4
Homepage: https://github.com/linuxdeepin/deepin-image-viewer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer

Package: deepin-image-viewer
Architecture: any
Depends:
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libqt5libqgtk2,
Description: Image Viewer for Deepin Desktop Environment
 Deepin Image Viewer is an image viewer and manager elaborately produced by
 Deepin Technology. It is fashion and smooth, supports multiple image formats,
 user can view any kind of image. The image management in Deepin Image Viewer,
 allows user to rank images in Timeline by date, add image to "My favorites" or
 different albums. All images can be arranged in perfect order by Deepin Image
 Viewer.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT := 5


%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

override_dh_missing:
	dh_missing --fail-missing

## deepin-image-viewer 1.2.23

=== debian/changelog ===
deepin-image-viewer (1.2.23-1) unstable; urgency=medium

  * New upstream version 1.2.23
  * Bump Standards-Version to 4.1.5 (no changes needed).

 -- Yanhao Mo <yanhaocs@gmail.com>  Sat, 21 Jul 2018 10:57:42 +0800

deepin-image-viewer (1.2.22-1) unstable; urgency=medium

  * New upstream release.

 -- Yanhao Mo <yanhaocs@gmail.com>  Mon, 28 May 2018 11:44:07 +0800

deepin-image-viewer (1.2.21-1) unstable; urgency=medium

  [ Yanhao Mo ]
  * New upstream release.
  * d/control: change maintainer field back to
    pkg-deepin-devel@lists.alioth.debian.org

  [ Boyuan Yang ]
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 15 May 2018 21:45:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: deepin-image-viewer
 Section: graphics
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <073plan@gmail.com>,
@@ -32,7 +32,7 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer

## deepin-image-viewer 1.3.8

=== debian/changelog ===
deepin-image-viewer (1.3.8-1) unstable; urgency=medium

  * New upstream release 1.3.8.
    + Rebuild to solve the segmentation fault bug.
      (Closes: #922134)

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Feb 2019 11:26:13 -0500

deepin-image-viewer (1.3.7-1) unstable; urgency=medium

  * New upstream release 1.3.7.
  * debian/control:
    + Bump debhelper compat to v12.
  * debian/rules:
    + Follow upstream changes and specify VERSION during build.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 06:29:18 -0500

deepin-image-viewer (1.3.6-1) unstable; urgency=medium

  * New upstream releae 1.3.6.
  * debian/control: Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Dec 2018 09:10:17 +0800

deepin-image-viewer (1.3.5-1) unstable; urgency=medium

  * New upstream release 1.3.5.
  * debian/control:
    + R³: Use Rules-Requires-Root: no.
    + Build-depend on debhelper-compat (= 11) instead of old
      debian/compat.

 -- Boyuan Yang <byang@debian.org>  Sun, 09 Dec 2018 13:21:15 -0500

deepin-image-viewer (1.3.1-1) unstable; urgency=medium

  * New upstream release 1.3.1.
  * debian/control: Do not recommend libqt5libqgtk2 This package
    has disappeared in recent Qt versions and its alternative
    qt5-gtk-platformtheme is already recommended by libqt5gui5.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Nov 2018 14:14:53 -0500

deepin-image-viewer (1.3.0-1) unstable; urgency=medium

  * New upstream release 1.3.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Oct 2018 19:34:37 -0400

deepin-image-viewer (1.2.23-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update uploaders list and use my @debian.org email address.

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Aug 2018 22:52:20 -0400

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libdtkwidget-dev,
  libegl1-mesa-dev,
  libexif-dev,
@@ -32,7 +32,8 @@
  qtmultimedia5-dev,
  qttools5-dev-tools,
  x11proto-xext-dev,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer
@@ -44,8 +45,6 @@
  qt5-image-formats-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- libqt5libqgtk2,
 Description: Image Viewer for Deepin Desktop Environment
  Deepin Image Viewer is an image viewer and manager elaborately produced by
  Deepin Technology. It is fashion and smooth, supports multiple image formats,

## deepin-image-viewer 5.0.0

=== debian/changelog ===
deepin-image-viewer (5.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add patch to fix build with dtk5.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standard-Version to 4.5.1.
    + Update build dependency with libdtkwidget-dev (>=5.2~),
      libxcb-util-dev and libdtkcore5-bin.
    + Add Arun Kumar Pariyar to uploaders list.
  * debian/copyright: Add Upstream-Contact field.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 30 Nov 2020 17:10:04 +0545

deepin-image-viewer (5.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972677).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 25 Oct 2020 20:33:15 +0300

deepin-image-viewer (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Oct 2019 11:08:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,12 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
+ Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
- libdtkwidget-dev,
+ debhelper-compat (= 13),
+ libdtkcore5-bin,
+ libdtkcore-dev (>=5.2~),
+ libdtkwidget-dev (>=5.2~),
  libegl1-mesa-dev,
  libexif-dev,
  libfontconfig1-dev,
@@ -23,7 +26,7 @@
  libsqlite3-dev,
  libstartup-notification0-dev,
  libudev-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxrender-dev,
  pkg-config,
  qt5-qmake,
@@ -33,7 +36,7 @@
  qttools5-dev-tools,
  x11proto-xext-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/deepin-image-viewer
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer
@@ -45,6 +48,8 @@
  qt5-image-formats-plugins,
  ${misc:Depends},
  ${shlibs:Depends},
+Recommends:
+ kimageformat-plugins,
 Description: Image Viewer for Deepin Desktop Environment
  Deepin Image Viewer is an image viewer and manager elaborately produced by
  Deepin Technology. It is fashion and smooth, supports multiple image formats,

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 export QT_SELECT := 5
 
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
@@ -22,5 +23,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md
 
+override_dh_auto_configure:
+	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"
+
 override_dh_missing:
 	dh_missing --fail-missing

## deepin-image-viewer 5.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)




set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})


message(STATUS ${CMAKE_CXX_FLAGS})


if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory(tests)
endif()




add_subdirectory(src)
add_subdirectory(qimage-plugins)

=== debian/changelog ===
deepin-image-viewer (5.7.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sun, 25 Apr 2021 17:32:28 +0800

deepin-image-viewer (1.0.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/control ===
Source: deepin-image-viewer
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
 qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
 libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
 libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-image-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins
Recommends: libqt5libqgtk2, kimageformat-plugins
Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
 Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.

## deepin-image-viewer 5.8.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 file(GLOB_RECURSE  SOURCES  "src/*.cpp")
 file(GLOB_RECURSE SOURCESC "src/*.c")
-file(GLOB_RECURSE HEADERS "src/*.h")
+file(GLOB_RECURSE HEADERS "src/module/modulepanel.h")
 file(GLOB_RECURSE FORMS "src/*.ui")
 file(GLOB_RECURSE RESOURCES "*.qrc")
 
@@ -47,7 +47,8 @@
     ${PROJECT_SOURCE_DIR}/src/widgets
     ${PROJECT_SOURCE_DIR}/src/accessibility
     ${PROJECT_SOURCE_DIR}/src/third-party/accessibility
-    ${PROJECT_SOURCE_DIR}/src/module)
+    ${PROJECT_SOURCE_DIR}/src/module
+    )
 
 set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools )
 
@@ -78,7 +79,7 @@
 # 设置不删除生成的文件夹内容文件
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)
 
-add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${PROJECT_INCLUDE} ${QM})
+add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${QM})
 
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
 target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} pthread freeimage)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
     ./testqrc/testresource.qrc)
 file(GLOB_RECURSE HEADERSCURRENT "src/*.h")
 file(GLOB_RECURSE  SOURCESCURRENT  "src/*.cpp")
-#file(GLOB_RECURSE  SOURCES  "../src/src/*.cpp")
+
 file (GLOB_RECURSE SOURCES
     ../src/src/controller/*.cpp
     ../src/src/dirwatcher/*.cpp
@@ -48,7 +48,7 @@
     *.cpp
     )
 file(GLOB_RECURSE SOURCESC "../src/*.c")
-file(GLOB_RECURSE HEADERS "../src/*.h")
+file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
 file(GLOB_RECURSE FORMS "../src/*.ui")
 file(GLOB_RECURSE RESOURCES "../src/*.qrc")
 
@@ -105,9 +105,8 @@
 
 add_executable( ${TARGET_NAME} ${SOURCES} ${SOURCESC}
     ${HEADERS} ${AllTestQRC}
-    ${RESOURCES} ${PROJECT_INCLUDE}
-    ${HEADERSCURRENT} ${SOURCESCURRENT}
-    ${QM}
+    ${RESOURCES} ${HEADERSCURRENT}
+    ${SOURCESCURRENT} ${QM}
     )
 
 target_include_directories(${TARGET_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} ${GLOB_RECURSE})

=== debian/changelog ===
deepin-image-viewer (5.8.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112833)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Oct 2025 21:26:15 +0300

deepin-image-viewer (5.8.2-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/0004-fix-FTBFS-bug-1096255.patch: Add patch
    to fix FTBFS due to missing header. (Closes: #1096255)

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Feb 2025 16:10:48 -0500

deepin-image-viewer (5.8.2-3) unstable; urgency=medium

  * debian/control:
    + Change pkg-config to pkgconf in B-D.
    + Added myself to uploaders list.
  * debian/clean:
    + Clean .qm files to fix ftbfs-source-after-build. (Closes: #1044906)

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Fri, 31 May 2024 17:15:16 +0545

deepin-image-viewer (5.8.2-2) unstable; urgency=medium

  * debian/patches: Add patch to fix ftbfs with libdraw 0.21.
  * debian/control:
    + Update my debian email in Uploaders list.
    + Update libfontconfig1-dev to libfontconfig-dev,
      libfreetype6-dev to libfreetype-dev and
      libxcb-util0-dev to libxcb-util-dev.

 -- Arun Kumar Pariyar <arun@debian.org>  Thu, 06 Jul 2023 16:55:00 +0545

deepin-image-viewer (5.8.2-1) unstable; urgency=medium

  * New upstream version 5.8.2.
  * Update manpage using upstream source code.
  * debian/patches: Refresh patches.
  * debian/control: Tighten version requirement.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 20:37:24 -0500

deepin-image-viewer (5.7.4-1~exp1) experimental; urgency=medium

  * Switch to cmake build system.

  [ Hu Feng ]
  * New upstream release 5.7.4.
  * debian/control:
    + Bump Standards-Version to 4.5.1
    + Add Hu Feng to Uploaders.
    + Add dde-qt5integration to Depends in deepin-image-viewer package.
  * debian/copyriht
    + Update copyright info
  * debian/patches/*:
    + Add 0001-fix-build-with-qt5.15.patch
    + Add 0004-fix-enable-icon.patch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arun Kumar Pariyar ]
  * debian/control:
    + Update dependencies for proper build.
  * debian/copyright:
    + Update copyright info.
  * debian/rules:
    + Ensure proper build.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 11:58:22 -0400

=== debian/control ===
Source: deepin-image-viewer
Section: graphics
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
 Hu Feng <hufeng@uniontech.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>
Build-Depends:
 cmake (>= 3),
 debhelper-compat (= 13),
 libdtkcore5-bin (>= 5.5.17~),
 libdtkwidget-dev (>= 5.5.17~),
 libdtkwidget5-bin,
 libegl1-mesa-dev,
 libexif-dev,
 libfontconfig-dev,
 libfreeimage-dev,
 libfreetype-dev,
 libgio-qt-dev,
 libglib2.0-dev,
 libmtdev-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libqt5x11extras5-dev,
 libraw-dev,
 libsqlite3-dev,
 libstartup-notification0-dev,
 libudev-dev,
 libudisks2-qt5-dev,
 libxcb-util-dev,
 libxrender-dev,
 pkgconf,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 x11proto-xext-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/linuxdeepin/deepin-image-viewer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-image-viewer

Package: deepin-image-viewer
Architecture: any
Depends:
 dde-qt5integration,
 libqt5sql5-sqlite,
 qt5-image-formats-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 kimageformat-plugins,
 libqt5libqgtk2,
 deepin-ocr,
Description: Image Viewer for Deepin Desktop Environment
 Deepin Image Viewer is an image viewer and manager elaborately produced by
 Deepin Technology. It is fashion and smooth, supports multiple image formats,
 user can view any kind of image. The image management in Deepin Image Viewer,
 allows user to rank images in Timeline by date, add image to "My favorites" or
 different albums. All images can be arranged in perfect order by Deepin Image
 Viewer.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,10 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@
-
-override_dh_installchangelogs:
-	dh_installchangelogs -k CHANGELOG.md
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"
+	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION)"
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-image-viewer-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-image-viewer/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-image-viewer 5.8.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer VERSION 1.0.0)

##"option"用来定义宏，"ON"表示打开，"OFF"表示关闭
#option (LITE_DIV "Use tutorial provided math implementation" ON)
##使用UnionImage
#option (USE_UNIONIMAGE "Use UNIONIMAGE" ON)
add_definitions( -DLITE_DIV )
add_definitions( -DUSE_UNIONIMAGE )
add_definitions( -DCMAKE_BUILD )
# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -Wl,--as-need -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
endif()

if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mieee")
endif()

set(TARGET_NAME deepin-image-viewer)
set(CMD_NAME deepin-image-viewer)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

file(GLOB_RECURSE  SOURCES  "src/*.cpp" "src/*/*.cpp")
file(GLOB_RECURSE SOURCESC "src/*.c")
file(GLOB_RECURSE HEADERS "src/module/modulepanel.h" "src/*/*.h")
file(GLOB_RECURSE FORMS "src/*.ui")
file(GLOB_RECURSE RESOURCES "*.qrc")

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories("../libimage-viewer/")

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)

set(PROJECT_INCLUDE
    ${PROJECT_SOURCE_DIR}/src
    ${PROJECT_SOURCE_DIR}/src/utils
    ${PROJECT_SOURCE_DIR}/src/controller
    ${PROJECT_SOURCE_DIR}/src/dirwatcher
    ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/accessibility
    ${PROJECT_SOURCE_DIR}/src/third-party/accessibility
    ${PROJECT_SOURCE_DIR}/src/module
    )

set(QtModule Core Gui Widgets LinguistTools )

#先查找到这些qt相关的模块以供链接使用
find_package(Qt5 REQUIRED ${QtModule})

find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
    dtkwidget
    dtkcore
    )

## translations

file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

qt5_create_translation(QM ${SOURCES}  ${GLOB})

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SOURCES} ${TS})
endif ()

# 设置不删除生成的文件夹内容文件
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${QM})

target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} pthread imageviewer)
#将工程与这些模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

option (NOUSE_TEST " NO Use TESTS" ON)
add_definitions( -DNOUSE_TEST )

#install
set(PREFIX  /usr)
set(BINDIR  ${PREFIX}/bin)
set(APPSHAREDIR  ${PREFIX}/share/deepin-image-viewer)
set(MANDIR  ${PREFIX}/share/dman/deepin-image-viewer)
set(MANICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)
set(APPICONDIR  ${PREFIX}/share/icons/hicolor/scalable/apps)

install(TARGETS ${TARGET_NAME} DESTINATION ${BINDIR})
#desktop
install(FILES ${PROJECT_SOURCE_DIR}/deepin-image-viewer.desktop
    DESTINATION /usr/share/applications)
#icons
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/images/
    DESTINATION /usr/share/deepin-image-viewer/icons
    FILES_MATCHING PATTERN "*")
#manual
install(DIRECTORY ${PROJECT_SOURCE_DIR}/assets/deepin-image-viewer
    DESTINATION /usr/share/deepin-manual/manual-assets/application/
    FILES_MATCHING PATTERN "*")
#manual_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/doc/common/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#app_icon
install(FILES ${PROJECT_SOURCE_DIR}/assets/images/logo/deepin-image-viewer.svg
    DESTINATION /usr/share/icons/hicolor/scalable/apps)
#dbus_service
install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.ImageViewer.service
    DESTINATION /usr/share/dbus-1/services)
#translations
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${APPSHAREDIR}
    FILES_MATCHING PATTERN "*.qm")

=== debian/changelog ===
deepin-image-viewer (5.8.13-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 23 Feb 2022 20:32:13 +0800

## deepin-image-viewer 5.8.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)

project(deepin-image-viewer)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

find_package(PkgConfig REQUIRED)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${PROJECT_BINARY_DIR})
include_directories(${PROJECT_SOURCE_DIR})

message(STATUS ${CMAKE_CXX_FLAGS})


option(DOTEST "option for test" OFF)

if(DOTEST)
    add_subdirectory(tests)
endif()



#add_subdirectory(libimage-viewer)
add_subdirectory(src)
add_subdirectory(qimage-plugins)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -32,37 +32,26 @@
 #cmakedefine USE_MYMATH
 set(AllTestQRC
     ./testqrc/testresource.qrc)
-file(GLOB_RECURSE HEADERSCURRENT "src/*.h")
-file(GLOB_RECURSE  SOURCESCURRENT  "src/*.cpp")
+file(GLOB_RECURSE HEADERSCURRENT "*.h")
+file(GLOB_RECURSE  SOURCESCURRENT  "*.cpp")
 
 file (GLOB_RECURSE SOURCES
-    ../src/src/controller/*.cpp
-    ../src/src/dirwatcher/*.cpp
-    ../src/src/frame/*.cpp
-    ../src/src/module/*.cpp
-    ../src/src/service/*.cpp
-    ../src/src/settings/*.cpp
-    ../src/src/utils/*.cpp
-    ../src/src/widgets/*.cpp
-    ../src/src/application.cpp
-    *.cpp
+    "../src/src/accessibility/*.cpp"
+    "../src/src/mainwindow/*.cpp"
+    "../src/src/module/*.cpp"
+    "../src/*.h"
+    "../src/application.cpp"
     )
 file(GLOB_RECURSE SOURCESC "../src/*.c")
-file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
+#file(GLOB_RECURSE HEADERS "../src/src/module/modulepanel.h")
 file(GLOB_RECURSE FORMS "../src/*.ui")
-file(GLOB_RECURSE RESOURCES "../src/*.qrc")
+file(GLOB_RECURSE RESOURCES "../*.qrc")
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/../src/src/
     ${PROJECT_SOURCE_DIR}/../src/src/utils
-    ${PROJECT_SOURCE_DIR}/../src/src/controller
-    ${PROJECT_SOURCE_DIR}/../src/src/dirwatcher
-    ${PROJECT_SOURCE_DIR}/../src/src/widgets
-    ${PROJECT_SOURCE_DIR}/../src/src/accessibility
-    ${PROJECT_SOURCE_DIR}/../src/src/third-party/accessibility
-    ${PROJECT_SOURCE_DIR}/../src/src/module
     )
 
 find_package(PkgConfig REQUIRED)
@@ -84,16 +73,13 @@
     dtkcore
     dtkwidget
     gio-qt
-    udisks2-qt5
     gio-unix-2.0
-    gsettings-qt
 #    freeimage
         )
 
 ## translations
 
 file(GLOB TS LIST_DIRECTORIES false translations/${CMD_NAME}*.ts)
-#file(GLOB TS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/translations/deepin-image-viewer_zh_CN.ts)
 
 set_source_files_properties(${TS} PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)
 
@@ -137,6 +123,7 @@
     udisks2-qt5
     freeimage
     pthread
+    imageviewer
     gtest
     )

=== debian/changelog ===
deepin-image-viewer (5.8.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 10 May 2022 18:29:34 +0800

=== debian/control ===
Source: deepin-image-viewer
Section: utils
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
 libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
 qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
 libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
 libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,libimageeditor-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-image-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins
Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
 Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.

## deepin-image-viewer 5.9.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,11 @@
     SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
 endif()
 
+if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
+    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mieee")
+endif()
+
 set(TARGET_NAME deepin-image-viewer)
 set(CMD_NAME deepin-image-viewer)
 set(CMAKE_AUTOMOC ON)
@@ -28,14 +33,15 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-file(GLOB_RECURSE  SOURCES  "src/*.cpp")
+file(GLOB_RECURSE  SOURCES  "src/*.cpp" "src/*/*.cpp")
 file(GLOB_RECURSE SOURCESC "src/*.c")
-file(GLOB_RECURSE HEADERS "src/module/modulepanel.h")
+file(GLOB_RECURSE HEADERS "src/module/modulepanel.h" "src/*/*.h")
 file(GLOB_RECURSE FORMS "src/*.ui")
 file(GLOB_RECURSE RESOURCES "*.qrc")
 
 include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
+include_directories("../libimage-viewer/")
 
 configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h @ONLY)
 
@@ -50,7 +56,7 @@
     ${PROJECT_SOURCE_DIR}/src/module
     )
 
-set(QtModule Core Gui Widgets DBus Sql PrintSupport Svg Concurrent LinguistTools )
+set(QtModule Core Gui Widgets LinguistTools )
 
 #先查找到这些qt相关的模块以供链接使用
 find_package(Qt5 REQUIRED ${QtModule})
@@ -59,9 +65,6 @@
 pkg_check_modules(3rd_lib REQUIRED
     dtkwidget
     dtkcore
-    gio-qt
-    udisks2-qt5
-    libexif
     )
 
 ## translations
@@ -82,13 +85,15 @@
 add_executable( ${PROJECT_NAME} ${SOURCES} ${SOURCESC} ${HEADERS} ${RESOURCES} ${QM})
 
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} ${PROJECT_INCLUDE} )
-target_link_libraries(${PROJECT_NAME} Qt5::WidgetsPrivate ${3rd_lib_LIBRARIES} pthread freeimage)
-
+target_link_libraries(${PROJECT_NAME}  ${3rd_lib_LIBRARIES} pthread imageviewer)
 #将工程与这些模块链接起来
 qt5_use_modules(${PROJECT_NAME} ${QtModule})
 
 # Find includes in corresponding build directories
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+option (NOUSE_TEST " NO Use TESTS" ON)
+add_definitions( -DNOUSE_TEST )
 
 #install
 set(PREFIX  /usr)

=== debian/changelog ===
deepin-image-viewer (5.9.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 27 Jul 2022 13:29:03 +0800

deepin-image-viewer (1.0.0) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 24 Feb 2016 14:15:54 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper (>= 11), cmake, qtbase5-dev, pkg-config,libexif-dev, libqt5svg5-dev, libqt5x11extras5-dev, libsqlite3-dev, qttools5-dev-tools,qttools5-dev, libxcb-util0-dev, libstartup-notification0-dev,
- libraw-dev,libfreeimage-dev, libqt5opengl5-dev, qtbase5-private-dev,
+ libraw-dev,libfreeimage-dev, libqt5opengl5-dev, 
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
- libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libgio-qt-dev,libudisks2-qt5-dev,libimageeditor-dev
+ libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org

## deepin-image-viewer 5.9.6

=== debian/changelog ===
deepin-image-viewer (5.9.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:43:09 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: deepin-image-viewer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins
-Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr
+Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr,uos-reporter, deepin-event-log 
 Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
  Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.

## deepin-image-viewer 5.9.10

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,11 @@
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
     SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
     SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-need -fPIE")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
 else()
     SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -Wl,--as-need -fPIE")
     SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3  -Wl,--as-need -fPIE")
-    SET(CMAKE_EXE_LINKER_FLAGS  "-pie")
+    SET(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -pie")
 endif()
 
 if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "sw_64")
@@ -56,7 +56,7 @@
     ${PROJECT_SOURCE_DIR}/src/module
     )
 
-set(QtModule Core Gui Widgets LinguistTools )
+set(QtModule Core Gui Widgets LinguistTools DBus)
 
 #先查找到这些qt相关的模块以供链接使用
 find_package(Qt5 REQUIRED ${QtModule})

=== debian/changelog ===
deepin-image-viewer (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:21:03 +0800

deepin-image-viewer (5.9.10) unstable; urgency=medium

  * Fix some bugs.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 21 Feb 2023 15:33:01 +0800

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  libraw-dev,libfreeimage-dev, libqt5opengl5-dev, 
  qtmultimedia5-dev, x11proto-xext-dev, libmtdev-dev, libegl1-mesa-dev,
  libudev-dev, libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev,
- libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev
+ libxrender-dev, libdtkwidget-dev, libdtkwidget5-bin,libdtkcore5-bin,libimageeditor-dev (>= 1.0.22)
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
 Package: deepin-image-viewer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite, qt5-image-formats-plugins, libimageeditor (>= 1.0.22)
 Recommends: libqt5libqgtk2, kimageformat-plugins ,deepin-ocr,uos-reporter, deepin-event-log 
 Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
  Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.
